<?xml version="1.0" encoding="UTF-8"?>

<xs:schema xmlns:ns2="http://www.mulesoft.org/schema/mule/devkit" xmlns:mule="http://www.mulesoft.org/schema/mule/core" xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" attributeFormDefault="unqualified" targetNamespace="http://www.mulesoft.org/schema/mule/espn">
  <xs:import namespace="http://www.w3.org/XML/1998/namespace"></xs:import>
  <xs:import schemaLocation="http://www.springframework.org/schema/beans/spring-beans-3.0.xsd" namespace="http://www.springframework.org/schema/beans"></xs:import>
  <xs:import schemaLocation="http://www.mulesoft.org/schema/mule/core/current/mule.xsd" namespace="http://www.mulesoft.org/schema/mule/core"></xs:import>
  <xs:element xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="config" substitutionGroup="mule:abstract-extension" ns2:javaClass="org.mule.module.adapters.EspnConnectorRestClientAdapter">
    <xs:complexType>
      <xs:complexContent>
        <xs:extension base="mule:abstractExtensionType">
          <xs:annotation>
            <xs:documentation>Mule ESPN API Connector - Connect Mule applications to the ESPN developer API (see http://developer.espn.com/)</xs:documentation>
          </xs:annotation>
          <xs:attribute name="name" use="optional" type="xs:string">
            <xs:annotation>
              <xs:documentation>Give a name to this configuration so it can be later referenced by config-ref.</xs:documentation>
            </xs:annotation>
          </xs:attribute>
          <xs:attribute name="apiKey" use="required" type="xs:string">
            <xs:annotation>
              <xs:documentation>apiKey provided by ESPN during api registration process</xs:documentation>
            </xs:annotation>
          </xs:attribute>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>
  </xs:element>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-athletes" substitutionGroup="mule:abstract-message-processor" type="GetAthletesType">
    <xs:annotation>
      <xs:documentation>getAthletes</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetAthletesType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /sports/baseball/mlb)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="athleteId" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN player id</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="dates" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN dates values (year) for requested data (i.e. 2011, 2012, etc...)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="group" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN group (integer) allows filtering by "group" or division</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="enable" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN optional flag to enable specific info (comma separated string) valid values: [stats|logos|notes|competitors]</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="seasonType" default="reg" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN season type accepts pre/reg/post for preseason, regular and postseason respectively</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-teams" substitutionGroup="mule:abstract-message-processor" type="GetTeamsType">
    <xs:annotation>
      <xs:documentation>getTeams</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetTeamsType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /sports/baseball/mlb)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="teamId" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN team identifier</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="enable" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN optional flag to enable specific info (comma separated string) valid values: [venues|stats|roster|leaders]</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="groups" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN group (integer) allows filtering by "group" or division</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-news" substitutionGroup="mule:abstract-message-processor" type="GetNewsType">
    <xs:annotation>
      <xs:documentation>getNews</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetNewsType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /espnw)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="dates" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Integer in the form of "yyyymmdd" to get news for a particular date.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="insider" default="yes" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN content to be included, valid values: yes, no, only</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-news-by-id" substitutionGroup="mule:abstract-message-processor" type="GetNewsByIdType">
    <xs:annotation>
      <xs:documentation>getNewsById</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetNewsByIdType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /espnw)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="newsId" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN specific story identifier</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="dates" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Integer in the form of "yyyymmdd" to get news for a particular date.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="insider" default="yes" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN content to be included, valid values: yes, no, only</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-news-headlines" substitutionGroup="mule:abstract-message-processor" type="GetNewsHeadlinesType">
    <xs:annotation>
      <xs:documentation>getNewsHeadlines</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetNewsHeadlinesType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /espnw)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="insider" default="yes" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN content to be included, valid values: yes, no, only</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-news-headlines-top" substitutionGroup="mule:abstract-message-processor" type="GetNewsHeadlinesTopType">
    <xs:annotation>
      <xs:documentation>getNewsHeadlinesTop</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetNewsHeadlinesTopType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /espnw)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="insider" default="yes" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN content to be included, valid values: yes, no, only</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="region" default="us" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Can be used in conjunction with the lang query string parameter to return focused headlines for a particular region, where available.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-athletes-news" substitutionGroup="mule:abstract-message-processor" type="GetAthletesNewsType">
    <xs:annotation>
      <xs:documentation>getAthletesNews</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetAthletesNewsType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /espnw)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="athleteId" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN identifier for a particular player/athlete.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="dates" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Integer in the form of "yyyymmdd" to get news for a particular date.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="insider" default="yes" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN content to be included, valid values: yes, no, only</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-teams-news" substitutionGroup="mule:abstract-message-processor" type="GetTeamsNewsType">
    <xs:annotation>
      <xs:documentation>getTeamsNews</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetTeamsNewsType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="resource" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN resource (i.e. /espnw)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="teamId" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN identifier for a particular team.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="dates" default="" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Integer in the form of "yyyymmdd" to get news for a particular date.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="insider" default="yes" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN content to be included, valid values: yes, no, only</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="language" default="en" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN lang - valid values include 'en' (English) and 'es' (Spanish)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-sports" substitutionGroup="mule:abstract-message-processor" type="GetSportsType">
    <xs:annotation>
      <xs:documentation>getAllSports</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetSportsType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-sports-organizing-bodies" substitutionGroup="mule:abstract-message-processor" type="GetSportsOrganizingBodiesType">
    <xs:annotation>
      <xs:documentation>getSportsOrganizingBodies</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetSportsOrganizingBodiesType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="sport" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN sport name</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element xmlns="http://www.mulesoft.org/schema/mule/espn" xmlns:mule="http://www.mulesoft.org/schema/mule/core" name="get-sports-organizing-groups-divisions" substitutionGroup="mule:abstract-message-processor" type="GetSportsOrganizingGroupsDivisionsType">
    <xs:annotation>
      <xs:documentation>getSportsOrganizingGroupsDivisions</xs:documentation>
    </xs:annotation>
  </xs:element>
  <xs:complexType name="GetSportsOrganizingGroupsDivisionsType">
    <xs:complexContent>
      <xs:extension xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:abstractMessageProcessorType">
        <xs:attribute name="config-ref" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Specify which configuration to use for this invocation.</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="sport" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN sport name</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="league" use="required" type="xs:string">
          <xs:annotation>
            <xs:documentation>ESPN league abbreviation (organizing body)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="limit" default="50" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used to limit the number of results returned</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="offset" default="0" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used for pagination (i.e. 11 will start with the 11th entry in the response)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
        <xs:attribute name="accept" default="application/json" use="optional" type="xs:string">
          <xs:annotation>
            <xs:documentation>Used when you can not set the Accepted header (i.e. application/json, text/xml)</xs:documentation>
          </xs:annotation>
        </xs:attribute>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:simpleType name="integerType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:integer"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="decimalType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:decimal"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="floatType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:float"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="doubleType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:double"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="dateTimeType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:dateTime"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="longType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:long"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="byteType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:byte"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="booleanType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:boolean"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="anyUriType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:anyURI"></xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
  <xs:simpleType name="charType">
    <xs:union>
      <xs:simpleType>
        <xs:restriction base="xs:string">
          <xs:minLength value="1"></xs:minLength>
          <xs:maxLength value="1"></xs:maxLength>
        </xs:restriction>
      </xs:simpleType>
      <xs:simpleType>
        <xs:restriction xmlns:mule="http://www.mulesoft.org/schema/mule/core" base="mule:propertyPlaceholderType"></xs:restriction>
      </xs:simpleType>
    </xs:union>
  </xs:simpleType>
</xs:schema>